---
apiVersion: operators.coreos.com/v1
kind: Operator
metadata:
  creationTimestamp: "2022-03-08T11:16:19Z"
  generation: 1
  managedFields:
  - apiVersion: operators.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec: {}
      f:status:
        .: {}
        f:components:
          .: {}
          f:labelSelector:
            .: {}
            f:matchExpressions: {}
          f:refs: {}
    manager: olm
    operation: Update
    time: "2022-03-08T11:16:19Z"
  name: jaeger-product.openshift-operators
  resourceVersion: "82394"
  selfLink: /apis/operators.coreos.com/v1/operators/jaeger-product.openshift-operators
  uid: 945e8102-30e2-4b57-94af-beab26f9de47
spec: {}
status:
  components:
    labelSelector:
      matchExpressions:
      - key: operators.coreos.com/jaeger-product.openshift-operators
        operator: Exists
    refs:
    - apiVersion: apps/v1
      conditions:
      - lastTransitionTime: "2022-03-08T11:17:03Z"
        lastUpdateTime: "2022-03-08T11:17:03Z"
        message: Deployment has minimum availability.
        reason: MinimumReplicasAvailable
        status: "True"
        type: Available
      - lastTransitionTime: "2022-03-08T11:16:48Z"
        lastUpdateTime: "2022-03-08T11:17:03Z"
        message: ReplicaSet "jaeger-operator-7df756c8cd" has successfully progressed.
        reason: NewReplicaSetAvailable
        status: "True"
        type: Progressing
      kind: Deployment
      name: jaeger-operator
      namespace: openshift-operators
    - apiVersion: v1
      kind: ServiceAccount
      name: jaeger-operator
      namespace: openshift-operators
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: Role
      name: jaeger-operator.v1.30.0-jaeger-operator-7949ccc876
      namespace: openshift-operators
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: RoleBinding
      name: jaeger-operator.v1.30.0-jaeger-operator-7949ccc876
      namespace: openshift-operators
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRole
      name: jaeger-operator.v1.30.0-jaeger-operator-7949ccc876
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRole
      name: jaeger-operator.v1.30.0-6c94b4b76c
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRoleBinding
      name: jaeger-operator.v1.30.0-jaeger-operator-7949ccc876
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRoleBinding
      name: jaeger-operator.v1.30.0-6c94b4b76c
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2022-03-08T11:16:46Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2022-03-08T11:16:46Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: jaegers.jaegertracing.io
    - apiVersion: operators.coreos.com/v1alpha1
      conditions:
      - lastTransitionTime: "2022-03-08T11:16:19Z"
        message: all available catalogsources are healthy
        reason: AllCatalogSourcesHealthy
        status: "False"
        type: CatalogSourcesUnhealthy
      kind: Subscription
      name: jaeger-product
      namespace: openshift-operators
    - apiVersion: operators.coreos.com/v1alpha1
      conditions:
      - lastTransitionTime: "2022-03-08T11:16:46Z"
        lastUpdateTime: "2022-03-08T11:16:46Z"
        status: "True"
        type: Installed
      kind: InstallPlan
      name: install-tgxdn
      namespace: openshift-operators
    - apiVersion: operators.coreos.com/v1alpha1
      conditions:
      - lastTransitionTime: "2022-03-08T11:17:03Z"
        lastUpdateTime: "2022-03-08T11:17:03Z"
        message: install strategy completed with no errors
        reason: InstallSucceeded
        status: "True"
        type: Succeeded
      kind: ClusterServiceVersion
      name: jaeger-operator.v1.30.0
      namespace: openshift-operators
